Package org.apache.tapestry5.internal.services

## Class ResponseRendererImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ResponseRendererImpl

- All Implemented Interfaces:
    `ResponseRenderer`

      public class ResponseRendererImpl
      extends java.lang.Object
      implements ResponseRenderer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseRendererImpl​(RequestPageCache pageCache, PageContentTypeAnalyzer pageContentAnalyzer, PageResponseRenderer renderer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentType` | `findContentType​(java.lang.Object component)` | Finds the content type for the page containing the indicated component.
    `void` | `renderPageMarkupResponse​(java.lang.String pageName)` | Renders a markup response by rendering the named page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseRendererImpl

          public ResponseRendererImpl​(RequestPageCache pageCache,
                                      PageContentTypeAnalyzer pageContentAnalyzer,
                                      PageResponseRenderer renderer)

  - ### Method Detail

    - #### findContentType

          public ContentType findContentType​(java.lang.Object component)

      Description copied from interface: `ResponseRenderer`
      Finds the content type for the page containing the indicated component.
      Specified by:
        `findContentType` in interface `ResponseRenderer`
      Parameters:
        `component` - a component within a page
      Returns:
        the content type

    - #### renderPageMarkupResponse

          public void renderPageMarkupResponse​(java.lang.String pageName)
                                        throws java.io.IOException

      Description copied from interface: `ResponseRenderer`
      Renders a markup response by rendering the named page.
      Specified by:
        `renderPageMarkupResponse` in interface `ResponseRenderer`
      Parameters:
        `pageName` - logical name of page to provide the markup
      Throws:
        `java.io.IOException`